Forums

Posting in these forums is disabled. These forums will be available for archive purposes. Please join the new forums at the links below:

  • yui-support - replaces the `YUI 3.x` and `YUI 3 Gallery` forums.
    We have created the following discussion categories within this group to aid discoverability for these most-used topics:
    • Charts for YUI Charts support.
    • DataTable for YUI DataTable support.
    • Gallery for YUI Gallery support, including support for published Gallery components as well as the Gallery process in general.
    • Tools for support of YUI’s suite of developer tools such as selleck, shifter, grover, yogi, etc.
    • Everything Else for questions that don’t fit one of the categories above, we’ve got you covered here.
  • yui-deprecated - replaces the `YUI 2.x` forum and the forums of other deprecated products (`YUI Doc`, `Builder`, `YUI PHP Loader`, etc.).
  [ 21 posts ] Go to page 1, 2, 3 Next
New Topic | Post Reply | Print view
Previous topic | Next topic

Jeff Stewart

  • Username: object01
  • Joined: Tue Mar 29, 2011 10:45 am
  • Posts: 7
  • Location: Birmingham, AL
  • Twitter: object01
  • GitHub: object01
  • Gists: object01
  • Offline
  • Profile
Tags:
  • node
  • yeti
  • npm

NPM (w/ Node 0.4.4) hangs installing YETI

Post Posted: Tue Mar 29, 2011 10:53 am
I'm trying to install YETI in a Cygwin environment on Windows 7 x64. I've maked and installed Node v0.4.4. There's no antivirus software running on this machine, so the most common solution to this problem doesn't seem applicable.

When I run,

Code:
npm install yeti


...with loglevel=silly, this is all I see:

Code:
$ npm install yeti
npm info it worked if it ends with ok
npm verb cli [ 'install', 'yeti' ]
npm info using npm@0.3.18
npm info using node@v0.4.4
npm verb config file /home/jstewart5/.npmrc
npm verb config file /usr/local/etc/npmrc
npm verb install [ 'yeti' ]
npm verb install [ 'yeti' ]
npm verb install pkglist [ 'yeti' ]
npm verb must install [ 'yeti' ]
npm verb install_ yeti
npm verb must install? [ [ 'yeti' ], true ]
npm verb GET yeti
npm verb raw, before any munging yeti
npm verb url resolving [ 'http://registry.npmjs.org/',
npm verb url resolving   './yeti' ]
npm verb url resolved http://registry.npmjs.org/yeti
npm verb url parsed http://registry.npmjs.org/yeti { protocol: 'http:',
npm verb url parsed http://registry.npmjs.org/yeti   slashes: true,
npm verb url parsed http://registry.npmjs.org/yeti   host: 'registry.npmjs.org',
npm verb url parsed http://registry.npmjs.org/yeti   hostname: 'registry.npmjs.org',
npm verb url parsed http://registry.npmjs.org/yeti   pathname: '/yeti',
npm verb url parsed http://registry.npmjs.org/yeti   href: 'http://registry.npmjs.org/yeti' }


It seems to hang at this point. No activity, no progress indication of any kind. I can only CTRL+C back to a command prompt.

I'm stumped. I'm a novice to Linux-like environments; can't tell if I've missed a well-known step.

Jeff Stewart

  • Username: object01
  • Joined: Tue Mar 29, 2011 10:45 am
  • Posts: 7
  • Location: Birmingham, AL
  • Twitter: object01
  • GitHub: object01
  • Gists: object01
  • Offline
  • Profile
Tags:
  • npm
  • yeti
  • node

Re: NPM (w/ Node 0.4.4) hangs installing YETI

Post Posted: Tue Mar 29, 2011 10:58 am
Whoa, wait... after about 10 minutes (seriously) this popped up:

Code:
npm ERR! Error: ETIMEOUT, Timeout while contacting DNS servers
npm ERR!     at Timer.callback (dns.js:38:13)
npm ERR! Report this *entire* log at <http://github.com/isaacs/npm/issues>
npm ERR! or email it to <npm-@googlegroups.com>
npm ERR! Just tweeting a tiny part of the error will not be helpful.
npm ERR! System CYGWIN_NT-6.1-WOW64 1.7.8(0.236/5/3)
npm ERR! argv { remain: [ 'yeti' ],
npm ERR! argv   cooked: [ 'install', 'yeti' ],
npm ERR! argv   original: [ 'install', 'yeti' ] }
npm verb exit [ 12, true ]
npm not ok


Now I'm thinking that my corporate firewall is preventing me from contacting 8.8.8.8 and 8.8.4.4 (which I did include in /etc/resolv.conf). Hm...

Jeff Stewart

  • Username: object01
  • Joined: Tue Mar 29, 2011 10:45 am
  • Posts: 7
  • Location: Birmingham, AL
  • Twitter: object01
  • GitHub: object01
  • Gists: object01
  • Offline
  • Profile
Tags:
  • node
  • yeti
  • npm

Re: NPM (w/ Node 0.4.4) hangs installing YETI

Post Posted: Tue Mar 29, 2011 12:19 pm
OK, after changing /etc/resolv.conf to reference my corporate DNS servers instead of Google's, NPM made more progress, but produced the error described in viewtopic.php@p=23837. I'm trying the solution posted there (npm install yeti@stable) and have so far been waiting on gzip.exe for about 2 hours:

Code:
$ npm install yeti@stable
npm info it worked if it ends with ok
npm info using npm@0.3.18
npm info using node@v0.4.4
npm info fetch http://registry.npmjs.org/yeti/-/yeti-0.1.2.tgz
npm info calculating sha1 /usr/local/lib/node/.npm/.cache/yeti/0.1.2/package.tgz
npm info shasum a1ee1fb9d00fcd2be395f26a3742cd62385c1faa
npm info fetch http://registry.npmjs.org/express/-/express-1.0.0rc4.tgz
npm info fetch http://registry.npmjs.org/connect/-/connect-0.2.7.tgz
npm info fetch http://registry.npmjs.org/jade/-/jade-0.5.5.tgz
npm info calculating sha1 /usr/local/lib/node/.npm/.cache/connect/0.2.7/package.tgz
npm info shasum 422923297ffbadeabff2ccc40e1e37a29dc306da
npm info calculating sha1 /usr/local/lib/node/.npm/.cache/jade/0.5.5/package.tgz
npm info shasum 1a1b6734d404f05546188e188e2b9f6a3ee74aa0

Jeff Stewart

  • Username: object01
  • Joined: Tue Mar 29, 2011 10:45 am
  • Posts: 7
  • Location: Birmingham, AL
  • Twitter: object01
  • GitHub: object01
  • Gists: object01
  • Offline
  • Profile
Tags:
  • node
  • yeti
  • npm

Re: NPM (w/ Node 0.4.4) hangs installing YETI

Post Posted: Tue Mar 29, 2011 1:17 pm
CTRL+C'd out of that seemingly hung operation and immediately tried again.

Code:
$ npm install yeti@stable
npm info it worked if it ends with ok
npm info using npm@0.3.18
npm info using node@v0.4.4
npm ERR! express@1.0.0rc4 not compatible with this version of node/npm
npm ERR! Requires: {"node":">= 0.2.0"}
npm ERR! You have: {"node":"v0.4.4","npm":"0.3.18"}
npm not ok


I give up.

Reid Burke

YUI Developer

  • Username: reid
  • Joined: Mon May 11, 2009 1:02 pm
  • Posts: 28
  • Location: Sunnyvale, California
  • Twitter: reid
  • GitHub: reid
  • Gists: reid
  • IRC: reid
  • YUI Developer
  • Offline
  • Profile

Re: NPM (w/ Node 0.4.4) hangs installing YETI

Post Posted: Tue Mar 29, 2011 2:29 pm
Jeff,

I apologize for your frustration.

I'm preparing to do a release of Yeti *today* for the latest Node and dependencies.

Recent versions of npm have broke compatibility with older packages which Yeti depended on. I'll update my dependencies appropriately.

Thanks so much for your feedback. I'll post here as soon as a new version is ready.

Reid Burke

Jeff Stewart

  • Username: object01
  • Joined: Tue Mar 29, 2011 10:45 am
  • Posts: 7
  • Location: Birmingham, AL
  • Twitter: object01
  • GitHub: object01
  • Gists: object01
  • Offline
  • Profile
Tags:
  • node

Re: NPM (w/ Node 0.4.4) hangs installing YETI

Post Posted: Tue Mar 29, 2011 3:13 pm
I look forward to it. Thanks Reid.

Reid Burke

YUI Developer

  • Username: reid
  • Joined: Mon May 11, 2009 1:02 pm
  • Posts: 28
  • Location: Sunnyvale, California
  • Twitter: reid
  • GitHub: reid
  • Gists: reid
  • IRC: reid
  • YUI Developer
  • Offline
  • Profile
Tags:
  • node

Re: NPM (w/ Node 0.4.4) hangs installing YETI

Post Posted: Tue Mar 29, 2011 3:24 pm
Jeff,

I've just published Yeti 0.1.5 to the npm registry. I've tested it with Node.js v0.4.4 and npm v0.3.18.

Let me know how it works for you!

Reid

Jeff Stewart

  • Username: object01
  • Joined: Tue Mar 29, 2011 10:45 am
  • Posts: 7
  • Location: Birmingham, AL
  • Twitter: object01
  • GitHub: object01
  • Gists: object01
  • Offline
  • Profile
Tags:
  • installing
  • node
  • npm
  • yeti

Re: NPM (w/ Node 0.4.4) hangs installing YETI

Post Posted: Wed Mar 30, 2011 7:40 am
Reid, I'm making progress, but still not quite there yet.

I ran "npm install yeti", and the process seemed to complete successfully, with the message, "Thank you for installing Yeti v0.1.6."

When I tried running "yeti --server &", though, I got this error trace:

Code:
$ yeti --server &
[1] 6048

$
node.js:134
        throw e; // process.nextTick error, or 'error' event on first tick
        ^
Error: Cannot find module 'abbrev'
    at Function._resolveFilename (module.js:320:11)
    at Function._load (module.js:266:25)
    at require (module.js:348:19)
    at Object.<anonymous> (/usr/local/lib/node/.npm/yeti/0.1.6/package/lib/optparse.js:13:14)
    at Module._compile (module.js:404:26)
    at Object..js (module.js:410:10)
    at Module.load (module.js:336:31)
    at Function._load (module.js:297:12)
    at require (module.js:348:19)
    at Object.<anonymous> (/usr/local/lib/node/.npm/yeti/0.1.6/package/lib/cli.js:7:16)



Sidebar: the first thing I tried was running "npm install yeti@stable", 'cause that's the troubleshooting trail I'd been following up to this point. It produced this error:

Code:
$ npm install yeti@stable
npm info it worked if it ends with ok
npm info using npm@0.3.18
npm info using node@v0.4.4
npm info fetch http://registry.npmjs.org/yeti/-/yeti-0.1.5.tgz
npm info calculating sha1 /tmp/npm-1301498722925/1301498722925-0.739673659671098/tmp.tgz
npm info shasum 6da138d9e4effbbe517cb1f2d41cc645f41a255e
npm info calculating sha1 /usr/local/lib/node/.npm/.cache/yeti/0.1.5/package.tgz
npm info shasum 0a05e4801c17d28fc46b4582c1b2921f348fb2fa
npm ERR! Error installing optparse@=1.0.0
npm ERR! Error: version not found: 1.0.0 : optparse/1.0.0
npm ERR!     at IncomingMessage.<anonymous> (/usr/local/lib/node/.npm/npm/0.3.18/package/lib/utils/registry/request.js:173:16)
npm ERR!     at IncomingMessage.emit (events.js:81:20)
npm ERR!     at HTTPParser.onMessageComplete (http.js:132:23)
npm ERR!     at Socket.ondata (http.js:1206:22)
npm ERR!     at Socket._onReadable (net.js:677:27)
npm ERR!     at IOWatcher.onReadable [as callback] (net.js:177:10)
npm ERR! Report this *entire* log at <http://github.com/isaacs/npm/issues>
npm ERR! or email it to <npm-@googlegroups.com>
npm ERR! Just tweeting a tiny part of the error will not be helpful.
npm ERR! System CYGWIN_NT-6.1-WOW64 1.7.8(0.236/5/3)
npm ERR! argv { remain:
npm ERR! argv    [ 'yeti@stable',
npm ERR! argv      'express@=1.0.0',
npm ERR! argv      'connect@=0.5.0',
npm ERR! argv      'jade@=0.5.7',
npm ERR! argv      'optparse@=1.0.0' ],
npm ERR! argv   cooked: [ 'install', 'yeti@stable' ],
npm ERR! argv   original: [ 'install', 'yeti@stable' ] }
npm not ok


I only mention this because it might be seen as the reigning solution on this board when errors occur otherwise. If the @stable pin is supposed to be significant, this might be worth a look.

Reid Burke

YUI Developer

  • Username: reid
  • Joined: Mon May 11, 2009 1:02 pm
  • Posts: 28
  • Location: Sunnyvale, California
  • Twitter: reid
  • GitHub: reid
  • Gists: reid
  • IRC: reid
  • YUI Developer
  • Offline
  • Profile
Tags:
  • node
  • npm

Re: NPM (w/ Node 0.4.4) hangs installing YETI

Post Posted: Wed Mar 30, 2011 8:38 am
Jeff,

Yesterday, I published Yeti 0.1.6 in response to a missing dependency, optparse, in npm's registry server. The administrator of npm's registry removed optparse due to human error hours after I published 0.1.5.

When I published 0.1.6, I failed to include abbrev as a dependency, which used to be pulled in by optparse.

If you have 0.1.6 installed, try `npm install abbrev` to resolve the abbrev error.

I'm currently working with the registry administrator to figure out how he can prevent breaking Yeti in the future. As soon as things stabilize with npm's registry, I'll fix this issue more permanently: hopefully later today. I'll post here when that happens.

Thanks so much for your continued support. I'm disappointed that you've had a hard time using Yeti-- please know I'm doing what I can to make this better.

Reid

Jeff Stewart

  • Username: object01
  • Joined: Tue Mar 29, 2011 10:45 am
  • Posts: 7
  • Location: Birmingham, AL
  • Twitter: object01
  • GitHub: object01
  • Gists: object01
  • Offline
  • Profile
Tags:
  • installing
  • node
  • npm
  • yeti

Re: NPM (w/ Node 0.4.4) hangs installing YETI

Post Posted: Wed Mar 30, 2011 9:06 am
Okay, slightly more progress.

Code:
$ npm install abbrev
npm info it worked if it ends with ok
npm info using npm@0.3.18
npm info using node@v0.4.4
npm info fetch http://registry.npmjs.org/abbrev/-/abbrev-1.0.3.tgz
npm info calculating sha1 /tmp/npm-1301504486897/1301504486897-0.683965080184862/tmp.tgz
npm info shasum aa049c967f999222aa42e14434f0c562ef468241
npm WARN publish-everything abbrev@1.0.3 Adding entire directory to tarball. Please add a
npm WARN publish-everything abbrev@1.0.3 .npmignore or specify a 'files' array in the package.json
npm info calculating sha1 /usr/local/lib/node/.npm/.cache/abbrev/1.0.3/package.tgz
npm info shasum cd5d79f3fa4534bb7ac14d1275907abf953f2567
npm info preinstall abbrev@1.0.3
npm info install abbrev@1.0.3
npm info postinstall abbrev@1.0.3
npm info preactivate abbrev@1.0.3
npm info activate abbrev@1.0.3
npm info postactivate abbrev@1.0.3
npm info build Success: abbrev@1.0.3
npm ok

$ yeti --server &
[1] 7080

$
node.js:134
        throw e; // process.nextTick error, or 'error' event on first tick
        ^
Error: Cannot find module 'connect/middleware/router'
    at Function._resolveFilename (module.js:320:11)
    at Function._load (module.js:266:25)
    at require (module.js:348:19)
    at Object.<anonymous> (/usr/local/lib/node/.npm/express/1.0.0/package/lib/express/server.js:17:14)
    at Module._compile (module.js:404:26)
    at Object..js (module.js:410:10)
    at Module.load (module.js:336:31)
    at Function._load (module.js:297:12)
    at require (module.js:348:19)
    at Object.<anonymous> (/usr/local/lib/node/.npm/express/1.0.0/package/lib/express/index.js:28:31)


Standing by! :)
  [ 21 posts ] Go to page 1, 2, 3 Next
New Topic | Post Reply | Print view
Previous topic | Next topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum